# UserTask

## GET /tasks

> List user tasks

```json
{"openapi":"3.1.0","info":{"title":"revault-api","version":"1.56.0"},"servers":[{"url":"/v1/rest"}],"security":[{"Authorization":[]}],"components":{"securitySchemes":{"Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"error.BAD_REQUEST":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Invalid input data error (400)","description":"The error information"},"error.UNAUTHORIZED":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Authorization not provided error (401)","description":"The error information"},"error.FORBIDDEN":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Insufficient access error (403)","description":"The error information"},"error.NOT_FOUND":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Not found error (404)","description":"The error information"},"error.INTERNAL_SERVER_ERROR":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Internal server error error (500)","description":"The error information"}}},"paths":{"/tasks":{"get":{"operationId":"userTasks-list","summary":"List user tasks","tags":["userTask"],"parameters":[{"in":"query","name":"page","schema":{"default":1,"description":"Which page to fetch","type":"integer","minimum":1,"maximum":9007199254740991}},{"in":"query","name":"pageSize","schema":{"default":30,"description":"Page size to use","type":"integer","minimum":1,"maximum":30}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"page":{"type":"number","description":"Current page"},"next":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"Next page or null if there is none"},"prev":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"Previous page or null if there is none"},"pageSize":{"type":"number","description":"Max count of items per page"},"total":{"type":"number","description":"Total count of items"},"results":{"type":"array","items":{"allOf":[{"type":"object","properties":{"id":{"type":"string","minLength":1,"pattern":"^[\\w-]+$","description":"Task ID"},"status":{"type":"string","enum":["PENDING","COMPLETED","FAILED"],"description":"Entity status"},"createdById":{"type":"string","minLength":1,"pattern":"^[\\w-]+$","description":"Created by user ID"},"doneAt":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Done timestamp"},"createdAt":{"description":"Creation timestamp","type":"string"},"updatedAt":{"description":"Last modification timestamp","type":"string"}},"required":["id","status","createdById","doneAt","createdAt","updatedAt"],"additionalProperties":false},{"oneOf":[{"type":"object","properties":{"type":{"type":"string","const":"EXPORT_REQUESTS_TO_CSV","description":"Task type"},"input":{"type":"object","properties":{"requestType":{"type":"string","enum":["UPDATE_QUORUM","CREATE_TRANSACTION","SIGN_MESSAGE","SIGN_DIGESTS","CREATE_ACCOUNT","EDIT_ACCOUNT","CREATE_GROUP","EDIT_GROUP","REVOKE_GROUP","CREATE_WHITELIST","EDIT_WHITELIST","CREATE_ENTITY","EDIT_ENTITY","REVOKE_ENTITY","CREATE_PSD_USER","CREATE_API_USER","CREATE_API_USER_ACCESS","REVOKE_USER","EDIT_WORKSPACE_RULE","CREATE_SCICONFIG","EDIT_SCICONFIG","CREATE_API_KEY","EDIT_API_KEY","REVOKE_API_KEY","CREATE_POLICY","EDIT_POLICY","EDIT_TOKEN_RULE","TRADELINK_CREATE_CUSTODIAN","TRADELINK_EDIT_CUSTODIAN","TRADELINK_CREATE_EXCHANGE","TRADELINK_EDIT_EXCHANGE","TRADELINK_CREATE_ASSET_MANAGER","TRADELINK_EDIT_ASSET_MANAGER","TRADELINK_ACTIVATE_ACCOUNT","TRADELINK_ADJUST_PLEDGE","TRADELINK_CREATE_SETTLEMENT","TRADELINK_FORCE_UNPLEDGE","TRADELINK_ARBITRATE","TRADELINK_WITHDRAW","TRADELINK_REPLEDGE"]},"fromDate":{"type":"string"},"toDate":{"type":"string"}},"additionalProperties":false,"description":"Task input"},"result":{"anyOf":[{"oneOf":[{"type":"object","properties":{"success":{"type":"boolean","const":true},"output":{"type":"object","properties":{"numExported":{"type":"integer","minimum":0,"maximum":9007199254740991},"outputUrl":{"type":"string","format":"uri"}},"required":["numExported","outputUrl"],"additionalProperties":false}},"required":["success","output"],"additionalProperties":false},{"type":"object","properties":{"success":{"type":"boolean","const":false},"message":{"type":"string"}},"required":["success","message"],"additionalProperties":false}],"type":"object"},{"type":"null"}],"description":"Task result"}},"required":["type","input","result"],"additionalProperties":false},{"type":"object","properties":{"type":{"type":"string","const":"PING","description":"Task type"},"input":{"type":"object","properties":{"ping":{"type":"string"}},"required":["ping"],"additionalProperties":false,"description":"Task input"},"result":{"anyOf":[{"oneOf":[{"type":"object","properties":{"success":{"type":"boolean","const":true},"output":{"type":"object","properties":{"pong":{"type":"string","const":"pong"}},"required":["pong"],"additionalProperties":false}},"required":["success","output"],"additionalProperties":false},{"type":"object","properties":{"success":{"type":"boolean","const":false},"message":{"type":"string"}},"required":["success","message"],"additionalProperties":false}],"type":"object"},{"type":"null"}],"description":"Task result"}},"required":["type","input","result"],"additionalProperties":false}],"type":"object"}]},"description":"Array of results"}},"required":["page","next","prev","pageSize","total","results"],"additionalProperties":false}}}},"400":{"description":"Invalid input data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.BAD_REQUEST"}}}},"401":{"description":"Authorization not provided","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.UNAUTHORIZED"}}}},"403":{"description":"Insufficient access","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.FORBIDDEN"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.NOT_FOUND"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.INTERNAL_SERVER_ERROR"}}}}}}}}}
```

## GET /tasks/{id}

> Get user task by ID

```json
{"openapi":"3.1.0","info":{"title":"revault-api","version":"1.56.0"},"servers":[{"url":"/v1/rest"}],"security":[{"Authorization":[]}],"components":{"securitySchemes":{"Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"error.BAD_REQUEST":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Invalid input data error (400)","description":"The error information"},"error.UNAUTHORIZED":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Authorization not provided error (401)","description":"The error information"},"error.FORBIDDEN":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Insufficient access error (403)","description":"The error information"},"error.NOT_FOUND":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Not found error (404)","description":"The error information"},"error.INTERNAL_SERVER_ERROR":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Internal server error error (500)","description":"The error information"}}},"paths":{"/tasks/{id}":{"get":{"operationId":"userTasks-findById","summary":"Get user task by ID","tags":["userTask"],"parameters":[{"in":"path","name":"id","schema":{"type":"string","description":"Id of the user task"},"required":true,"description":"Id of the user task"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"allOf":[{"type":"object","properties":{"id":{"type":"string","minLength":1,"pattern":"^[\\w-]+$","description":"Task ID"},"status":{"type":"string","enum":["PENDING","COMPLETED","FAILED"],"description":"Entity status"},"createdById":{"type":"string","minLength":1,"pattern":"^[\\w-]+$","description":"Created by user ID"},"doneAt":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Done timestamp"},"createdAt":{"description":"Creation timestamp","type":"string"},"updatedAt":{"description":"Last modification timestamp","type":"string"}},"required":["id","status","createdById","doneAt","createdAt","updatedAt"],"additionalProperties":false},{"oneOf":[{"type":"object","properties":{"type":{"type":"string","const":"EXPORT_REQUESTS_TO_CSV","description":"Task type"},"input":{"type":"object","properties":{"requestType":{"type":"string","enum":["UPDATE_QUORUM","CREATE_TRANSACTION","SIGN_MESSAGE","SIGN_DIGESTS","CREATE_ACCOUNT","EDIT_ACCOUNT","CREATE_GROUP","EDIT_GROUP","REVOKE_GROUP","CREATE_WHITELIST","EDIT_WHITELIST","CREATE_ENTITY","EDIT_ENTITY","REVOKE_ENTITY","CREATE_PSD_USER","CREATE_API_USER","CREATE_API_USER_ACCESS","REVOKE_USER","EDIT_WORKSPACE_RULE","CREATE_SCICONFIG","EDIT_SCICONFIG","CREATE_API_KEY","EDIT_API_KEY","REVOKE_API_KEY","CREATE_POLICY","EDIT_POLICY","EDIT_TOKEN_RULE","TRADELINK_CREATE_CUSTODIAN","TRADELINK_EDIT_CUSTODIAN","TRADELINK_CREATE_EXCHANGE","TRADELINK_EDIT_EXCHANGE","TRADELINK_CREATE_ASSET_MANAGER","TRADELINK_EDIT_ASSET_MANAGER","TRADELINK_ACTIVATE_ACCOUNT","TRADELINK_ADJUST_PLEDGE","TRADELINK_CREATE_SETTLEMENT","TRADELINK_FORCE_UNPLEDGE","TRADELINK_ARBITRATE","TRADELINK_WITHDRAW","TRADELINK_REPLEDGE"]},"fromDate":{"type":"string"},"toDate":{"type":"string"}},"additionalProperties":false,"description":"Task input"},"result":{"anyOf":[{"oneOf":[{"type":"object","properties":{"success":{"type":"boolean","const":true},"output":{"type":"object","properties":{"numExported":{"type":"integer","minimum":0,"maximum":9007199254740991},"outputUrl":{"type":"string","format":"uri"}},"required":["numExported","outputUrl"],"additionalProperties":false}},"required":["success","output"],"additionalProperties":false},{"type":"object","properties":{"success":{"type":"boolean","const":false},"message":{"type":"string"}},"required":["success","message"],"additionalProperties":false}],"type":"object"},{"type":"null"}],"description":"Task result"}},"required":["type","input","result"],"additionalProperties":false},{"type":"object","properties":{"type":{"type":"string","const":"PING","description":"Task type"},"input":{"type":"object","properties":{"ping":{"type":"string"}},"required":["ping"],"additionalProperties":false,"description":"Task input"},"result":{"anyOf":[{"oneOf":[{"type":"object","properties":{"success":{"type":"boolean","const":true},"output":{"type":"object","properties":{"pong":{"type":"string","const":"pong"}},"required":["pong"],"additionalProperties":false}},"required":["success","output"],"additionalProperties":false},{"type":"object","properties":{"success":{"type":"boolean","const":false},"message":{"type":"string"}},"required":["success","message"],"additionalProperties":false}],"type":"object"},{"type":"null"}],"description":"Task result"}},"required":["type","input","result"],"additionalProperties":false}],"type":"object"}]}}}},"400":{"description":"Invalid input data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.BAD_REQUEST"}}}},"401":{"description":"Authorization not provided","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.UNAUTHORIZED"}}}},"403":{"description":"Insufficient access","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.FORBIDDEN"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.NOT_FOUND"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.INTERNAL_SERVER_ERROR"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://help.enterprise.ledger.com/api-documentation-v2/reference/usertask.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
